Bug 1107646 - fedpkg fails to retire a package
Summary: fedpkg fails to retire a package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 11:47 UTC by Tomas Heinrich
Modified: 2016-09-20 04:53 UTC (History)
9 users (show)

Fixed In Version: fedpkg-1.21-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-06 22:28:12 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1093867 unspecified CLOSED fedpkg retire needs to munge branch name sent to pkgdb-cli for epel branches 2020-10-14 00:28:05 UTC

Internal Links: 1093867

Description Tomas Heinrich 2014-06-10 11:47:36 UTC
Description of problem:
Issuing

$ fedpkg retire "Dead upstream."

in a freshly cloned repo of picviz fails with:

No collection found by the name of devel
Could not retire package: Command '['pkgdb-cli', 'orphan', '--retire', 'picviz', 'devel']' returned non-zero exit status 8

Trying to run pkgdb-cli in the same fashion directly also fails:

$ pkgdb-cli orphan --retire picviz devel
FAS password:
No collection found by the name of devel

Trying to run

$ pkgdb-cli orphan --retire picviz master

succeeded.


Version-Release number of selected component (if applicable):
fedpkg-1.15-1.fc20.noarch
packagedb-cli-2.2-2.fc20.noarch

Comment 1 Mat Booth 2014-06-10 13:34:55 UTC
I stumbled over this too, fedpkg appears to pass the wrong branch parameter to pkgdb-cli -- it should pass "master" insted of "devel"

Comment 2 Vít Ondruch 2014-06-18 08:22:45 UTC
The same here:

FAS password: 
No collection found by the name of devel
Could not retire package: Command '['pkgdb-cli', 'orphan', '--retire', 'rubygem-openstack-compute', 'devel']' returned non-zero exit status 8

Comment 3 Fedora Update System 2014-06-25 16:59:21 UTC
fedpkg-1.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedpkg-1.16-1.fc20

Comment 4 Fedora Update System 2014-06-25 17:00:02 UTC
fedpkg-1.16-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedpkg-1.16-1.fc19

Comment 5 Fedora Update System 2014-06-25 17:00:48 UTC
fedpkg-1.16-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedpkg-1.16-1.el6

Comment 6 Fedora Update System 2014-06-26 01:51:05 UTC
Package fedpkg-1.16-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedpkg-1.16-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7718/fedpkg-1.16-1.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-07-04 00:28:22 UTC
fedpkg-1.16-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Petr Pisar 2014-07-07 11:23:21 UTC
I cannot retire a package with fedpkg-1.16-1.fc20.noarch:

petr@dhcp-0-146:~/fedora/perl-Time-modules $ fedpkg retire 'perl-Time-modules has been replaced by perl-Time-ParseDate (bug #1067003)'
Could not retire package: 'Namespace' object has no attribute 'msg'
ERROR:rpkg:Could not retire package: 'Namespace' object has no attribute 'msg'

Is this the same or different bug?

Comment 9 Gerard Ryan 2014-07-07 19:38:02 UTC
(In reply to Petr Pisar from comment #8)
> I cannot retire a package with fedpkg-1.16-1.fc20.noarch:
> 
> petr@dhcp-0-146:~/fedora/perl-Time-modules $ fedpkg retire
> 'perl-Time-modules has been replaced by perl-Time-ParseDate (bug #1067003)'
> Could not retire package: 'Namespace' object has no attribute 'msg'
> ERROR:rpkg:Could not retire package: 'Namespace' object has no attribute
> 'msg'
> 
> Is this the same or different bug?

I'm getting the same as Petr just now with fedpkg-1.16-1.fc20.noarch

Comment 10 David Howells 2014-08-21 13:11:45 UTC
Failed for me with fedpkg-1.16-1, works for me with fedpkg-1.18-1.

Comment 11 Pavol Babinčák 2014-09-26 16:34:18 UTC
(In reply to Petr Pisar from comment #8)
> I cannot retire a package with fedpkg-1.16-1.fc20.noarch:
> 
> petr@dhcp-0-146:~/fedora/perl-Time-modules $ fedpkg retire
> 'perl-Time-modules has been replaced by perl-Time-ParseDate (bug #1067003)'
> Could not retire package: 'Namespace' object has no attribute 'msg'
> ERROR:rpkg:Could not retire package: 'Namespace' object has no attribute
> 'msg'
> 
> Is this the same or different bug?
Fixed in upstream with https://git.fedorahosted.org/cgit/fedpkg.git/commit/?id=72169c4e4418e27d198e247d864316222138adde

And in Fedora since fedpkg-1.17-2.fc21.

Comment 12 Fedora Update System 2016-02-20 01:16:51 UTC
fedpkg-1.21-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-79ebb637bd

Comment 13 Fedora Update System 2016-02-21 06:53:20 UTC
fedpkg-1.21-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-79ebb637bd

Comment 14 Fedora Update System 2016-03-06 22:28:06 UTC
fedpkg-1.21-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.